#!/bin/sh -x

OSC_PATH=home:catap:DataDome
PKG=datadome-proxyserver
VERSION=1.1

rm -rf osc_tree
osc checkout -o osc_tree $OSC_PATH $PKG  

./git-archive-all ./osc_tree/datadome-proxyserver_${VERSION}.tar.gz

SIZE=$(wc -c < ./osc_tree/datadome-proxyserver_${VERSION}.tar.gz | sed -e 's:.* ::')
MD5=$(openssl dgst -md5 ./osc_tree/datadome-proxyserver_${VERSION}.tar.gz | sed -e 's:.* ::')

rm -f ./osc_tree/datadome-proxyserver.spec
sed -e s:%%VERSION%%:$VERSION:g datadome-proxyserver.spec.in > ./osc_tree/datadome-proxyserver.spec

rm -f ./osc_tree/datadome-proxyserver.dsc
sed -e s:%%VERSION%%:$VERSION:g -e s:%%SIZE%%:$SIZE:g -e s:%%MD5%%:$MD5:g datadome-proxyserver.dsc.in > ./osc_tree/datadome-proxyserver.dsc

osc add osc_tree/datadome-proxyserver_${VERSION}.tar.gz
osc ci -m 'Jenkins' osc_tree